> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-compliance-report-detail/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get compliance report GET https://example.itential.io/configuration_manager/compliance_reports/details/{reportId} Returns the details of a particular compliance report. Reference: https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-compliance-report-detail ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `reportId` (string, required) — reportId ## Response ### 200 complianceReportDetail - `id` (string, optional) - `batchId` (string, optional) - `treeId` (string, optional) - `version` (string, optional) - `nodePath` (string, optional) - `deviceType` (string, optional) - `specId` (string, optional) - `inheritedSpecIds` (list of string, optional) - `deviceName` (string, optional) - `variables` (list of object, optional) - `name` (string, optional) - `type` (enum, optional) - Allowed values: `literal`, `regex` - `value` (string, optional) - `timestamp` (string, optional) - `totals` (object, optional) - `errors` (integer, optional) - `warnings` (integer, optional) - `infos` (integer, optional) - `passes` (integer, optional) - `issues` (list of object, optional) - `severity` (enum, optional) - Allowed values: `error`, `warning`, `info` - `type` (enum, optional) - Allowed values: `required`, `disallowed` - `message` (string, optional) - `specLineId` (string, optional) - `path` (list of string, optional) - `spec` (object, optional) - `id` (string, optional) - `evalMode` (enum, optional) - Allowed values: `required`, `disallowed`, `ignored`, `optional` - `severity` (enum, optional) - Allowed values: `error`, `warning`, `info` - `words` (list of object, optional) - `type` (enum, optional) - Allowed values: `literal`, `regex`, `variable` - `value` (string, optional) - `lines` (list of any, optional) - `configWords` (list of object, optional) - `type` (any, optional) - `value` (string, optional) - `candidates` (list of object, optional) - `type` (any, optional) - `value` (string, optional) - `score` (double, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "id": "5c35355dbebaa82eaf8113f0", "batchId": "5c35355dbebaa82eaf8113f0", "treeId": "5c35355dbebaa82eaf8113f0", "version": "initial", "nodePath": "base", "deviceType": "cisco-ios", "specId": "5c35355dbebaa82eaf8113f0", "inheritedSpecIds": [ "5c35355dbebaa82eaf8113f0" ], "deviceName": "xr9kv-atl", "variables": [ { "name": "variable name", "type": "literal", "value": "variable value" } ], "timestamp": "2019-04-12T14:42:47.958Z", "totals": { "errors": 1, "warnings": 1, "infos": 1, "passes": 1 }, "issues": [ { "severity": "error", "type": "required", "message": "Required config not found", "specLineId": "5c353f69d085d85c", "path": [ "interface GigE1" ], "spec": { "id": "5c353f69d085d85c", "evalMode": "required", "severity": "error", "words": [ { "type": "literal", "value": " or or " } ], "lines": [ null ] }, "configWords": [ { "type": null, "value": "word" } ], "candidates": [ { "type": null, "value": "word" } ] } ], "score": 1.1 } ``` **SDK Code** ```python import requests url = "https://example.itential.io/configuration_manager/compliance_reports/details/reportId" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/configuration_manager/compliance_reports/details/reportId'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/configuration_manager/compliance_reports/details/reportId" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/configuration_manager/compliance_reports/details/reportId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/configuration_manager/compliance_reports/details/reportId") .asString(); ``` ```php request('GET', 'https://example.itential.io/configuration_manager/compliance_reports/details/reportId'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/configuration_manager/compliance_reports/details/reportId"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/configuration_manager/compliance_reports/details/reportId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```